Gestiono
Referencia de APITasks / Schedule

Create Schedule link submit

POST /v1/tasks/schedule/link/submit • validated by `postTaskScheduleLinkSubmit`

← Back to full API reference
POST/v1/tasks/schedule/link/submitPublic endpoint
  • Validated by Zod schema: postTaskScheduleLinkSubmit.
  • This endpoint can be called without an authenticated session.

Request details

Path params

No path parameters for this endpoint.

Query params

No explicit query schema was captured for this endpoint.

Body fields

  • sharedId (required)

    Type: string

  • date (required)

    Type: string

  • startTime (required)

    Type: string

  • timeZone (required)

    Type: string

  • formData (required)

    Type: object

Default payloads

Path params

json
{}

Query

json
{}

Body

json
{
  "sharedId": "00000000-0000-0000-0000-000000000000",
  "date": "string",
  "startTime": "string",
  "timeZone": "string",
  "formData": {}
}

Sample response

json
{
  "success": true,
  "message": "Sample response placeholder for POST /v1/tasks/schedule/link/submit"
}

Test this endpoint now

Use your own credentials and execute a live request directly from this page.

1. Configure authentication for testing

You can test endpoints with signed API keys, a raw Authorization token, or browser cookies. Select one mode and fill in the required fields.

2. Select endpoint

POST/v1/tasks/schedule/link/submitPublic endpoint

Group: Tasks / Schedule

POST /v1/tasks/schedule/link/submit • validated by `postTaskScheduleLinkSubmit`

  • Validated by Zod schema: postTaskScheduleLinkSubmit.
  • This endpoint can be called without an authenticated session.

Body fields

  • sharedIdrequired
    Type: string
  • daterequired
    Type: string
  • startTimerequired
    Type: string
  • timeZonerequired
    Type: string
  • formDatarequired
    Type: object

3. Prepare request payload

4. Server response

Run a request to inspect the real-time response for your environment.